Subject: Review: Armageddon (1998)

From: Mario Muredda <[email-masked]>
Date: 16 Jul 1998 06:08:37 GMT

**1/2 out of ****

Ahh, the elusive summer movie. Expectations run
dry, and mindless moviegoers scurry to theatres in
delight. If you are one of those mindless
moviegoers, odds are, you have seen Armageddon.
Certainly a loud film, a truly neccessary quality
in order to be a summer blockbuster, Armageddon
will please its targeted audience, and disapoint
everyone else, to my understanding. I went to this
film with an open mind, and expected the worst,
and surprisingly, I didn't get it. What I did get
though, (and pardon my being harsh,) was a loud,
obnoxious, and relatively stupid film, that is
Armageddon. After seeing that, one may wonder,
"Where does the **1/2 come from?" It comes from
the (and this time, pardon my being cheesy) heart.
Even though I am almost certain you have all ran
screaming for the back button by now, I have an
explanation. In Deep Impact, the emotion was
almost impossible to relate to. All of the
characters were so cheap and terrible. In
Armageddon, people may say, "Oh, those are just
'wooden' performances", while I say, no, they were
normal people, portraying normal people, not going
for amazing acting, not even trying to act, the
true gift of real actors. Most people will either
think I am crazy, or simply refering to the
Affleck/Tyler relationship. Nope. In fact I
thought that was one of the most distracting
storylines in the film, after all, it involved
Bruce Willis chasing after the person he "loves
like a son" with a shotgun scene. There was only
10 minutes focus on that story, and neither actor
nor actress could pull it off believably. Sorry
Liv and Ben. Anyway, I thought the Bruce Willis
and Liv Tyler subplot was the best, because, they
made an icredibly believeable family on their own,
minus, the cornballish, "goodbye" scene at the
end. Don't worry, I spoiled nothing, you can see
it coming 150 minutes before it comes (Hmm...the
film's running time. Coincidence? I shit you not.)
Well, onto the big guns now. The action packed
scenes are where the thumbs down comes in. Stupid
and unrealistic, these may make you go deaf for
the purpose of keeping you in the theatre. While a
few of these sequences may actually be entertaing,
some are completely oblivious to the fact, that
they are making absolutely no sense, such as one
on a refuelling station in space that serves for
no purpose but to get the shit blown out of it.
Steve Buscemi delivers the same old performance,
that got a few laughs out of me, while Bruce
Willis is always a cocky, ballzy, tough as nails
character that we all want to see kick a comet's
tail. Liv Tyler is hot (I mean come on, is there
any other reason for her being here, aside from
Mr. Big Lips himself, no not Mick Jagger, landing
her a job on THE money maker of the summer?), and
Ben Affleck lacks the charm he carried in Good
Will Hunting (THE best film of all time) Another
minus though I have to say before closing was
stealing from former blockbusters, and from not so
blockbusters, (almost lifting a few lines of
dialogue directly out of Batman and Robin) Well,
that's it. Aremageddon: 6.5/10, Deep Impact: 7/10.
Looks like the firstborn is triumphant. If only
that would be the case in the box office!

Angelo Muredda